summaryrefslogtreecommitdiffstats
path: root/retiolum/bin/create-supernode-tar
diff options
context:
space:
mode:
authormakefu <github@syntax-fehler.de>2013-01-04 04:31:38 +0700
committermakefu <github@syntax-fehler.de>2013-01-04 04:31:38 +0700
commit577c64f0c8e70081a2226522cbfc18c393dcb5e3 (patch)
tree231d180b730148b60d6753f8df03e17c1b871d9b /retiolum/bin/create-supernode-tar
parent1027cbc903b6e1852247225ca0aa6b958cf2550c (diff)
parentc971ce27a09d4aa5e740fda3664c8a8181de3233 (diff)
Merge branch 'master' of github.com:krebscode/painload
Diffstat (limited to 'retiolum/bin/create-supernode-tar')
-rwxr-xr-xretiolum/bin/create-supernode-tar13
1 files changed, 13 insertions, 0 deletions
diff --git a/retiolum/bin/create-supernode-tar b/retiolum/bin/create-supernode-tar
new file mode 100755
index 00000000..322d428d
--- /dev/null
+++ b/retiolum/bin/create-supernode-tar
@@ -0,0 +1,13 @@
+#!/bin/sh
+set -euf
+if [ x"${1:-}" = "x" ];then
+ echo "usage: $0 DIRECTORY"
+ exit 1
+fi
+HOSTDIR=${HOSTDIR:-../hosts}
+WEBDIR=$1
+HOSTFILE=$WEBDIR/supernodes.tar.gz
+cd $(dirname $(readlink -f $0))
+rm -f $HOSTFILE
+tar czf $HOSTFILE -C $HOSTDIR `python ../scripts/adv_graphgen/find_super.py |cut -d\ -f1`
+chmod a+rx $HOSTFILE